## libgoogle-collections-java 1.0

=== debian/changelog ===
libgoogle-collections-java (1.0-2) unstable; urgency=low

  * Upload to unstable.
  * Update watch file. 
  * Add call to mh_clean on clean target.

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 11 Feb 2011 22:00:09 -0430

libgoogle-collections-java (1.0-1) experimental; urgency=low

  [ Michael Koch ]
  * Build-Depends on debhelper >= 7.
  * Added myself to Uploaders.
  * Updated Standards-Version to 3.8.3.

  [ Miguel Landaeta ]
  * New upstream release.
  * Add myself to Uploaders.
  * Add Build-Depends and Depends on libjsr305-java.
  * Bump debhelper compatibility level to 7.
  * Bump Standards-Version to 3.9.1. No changes were required.
  * Switch source package format to 3.0 (quilt).

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 19 Aug 2010 19:53:52 -0430

libgoogle-collections-java (0~20080808-3) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 12:09:10 +0200

libgoogle-collections-java (0~20080808-2) experimental; urgency=low

  * Add a watch file and modify orig-tar.sh to use the downloadable
    file from the project site.
  * Add a Build-Depends on maven-ant-helper and create our own
    build.xml which uses maven-build.xml from maven-ant-helper
  * Add ${misc:Depends} to Depends to clear Lintian warnings
  * Change section to java, bump up Standards-Version to 3.8.1
  * Add the Maven POM to the package,
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * Use mh_installpom and mh_installjar to install the POM and the jar to the
    Maven repository

 -- Ludovic Claude <ludovic.claude@laposte.net>  Tue, 05 May 2009 20:23:10 +0100

libgoogle-collections-java (0~20080808-1) unstable; urgency=low

  * Initial release. (Closes: #507283)

 -- Torsten Werner <twerner@debian.org>  Sat, 29 Nov 2008 19:03:14 +0100
