=== debian/control ===
Source: libgoogle-collections-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Torsten Werner <twerner@debian.org>, Ludovic Claude <ludovic.claude@laposte.net>, Michael Koch <konqueror@gmx.de>, Miguel Landaeta <miguel@miguel.cc>
Build-Depends: ant, debhelper (>= 7), cdbs (>= 0.4.5.3), default-jdk
Build-Depends-Indep: maven-repo-helper, maven-ant-helper, libjsr305-java
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libgoogle-collections-java
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libgoogle-collections-java/
Homepage: http://code.google.com/p/google-collections/

Package: libgoogle-collections-java
Architecture: all
Depends: libjsr305-java, ${misc:Depends}
Description: suite of collections and related goodies for Java 5.0
 This library is a natural extension of the Java Collections Framework. The
 major new types are:
  * BiMap. A Map that guarantees unique values, and supports an inverse view.
  * Multiset. A Collection that may contain duplicate values like a List, yet
    has order-independent equality like a Set. Often used to represent a
    histogram.
  * Multimap. Similar to Map, but may contain duplicate keys. Has subtypes
    SetMultimap and ListMultimap providing more specific behavior. 
 .
 There are also more than a dozen collection implementations, mostly of the
 interfaces above, but not all. ReferenceMap, for example, is a ConcurrentMap
 implementation which easily handles any combination of strong, soft or weak
 keys with strong, soft or weak values. Static utility classes include:
  * Comparators. Natural order, compound, null-friendly, ad-hoc, ...
  * Iterators and Iterables. Element-based equality, cycle, concat, partition,
    filter with predicate, transform with function ...
  * Lists, Sets and Maps. A plethora of convenient factory methods and much
    more.
  * PrimitiveArrays: "boxing"/"unboxing" of primitive arrays 
 .
 And there's more:
  * Immutable collections
  * Forwarding collections
  * Constrained collections
  * Implementation helpers like AbstractIterator
