=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ \
 http://code.google.com/p/google-collections/downloads/list?can=4 \
 http://google-collections.googlecode.com/files/google-collect-(1.*).zip
